v6.0

get

/ec-ors-svc/rest/v6.0/studies/{studyId}/{mode}/randlists/{rndlistid}/randnumbers

Retrieves randomization numbers for a randomization list. This API version returns treatmentSrcId and distinctRandStatuses. Rights: OrsRandListGet and OrsUnblinded.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : RandNumberResponseV6
Type: object
Contains random number response with distinct statuses.
Show Source
Nested Schema : distinctRandStatuses
Type: array
Show Source
Nested Schema : randNumbers
Type: array
Show Source
Nested Schema : Random Number Statuses Response
Type: object
Title: Random Number Statuses Response
Contains Random number status detail.
Show Source
  • Title: ID
    Unique ID.
    Example: 10
  • Title: Random Number Status
    Allowed Values: [ "Unapproved", "Available", "Inactive", "Assigned", "Randomized in error" ]
    Random Number status.
    Example: Available
Nested Schema : RandNumbersTOV6
Type: object
Randomization number row with v6 treatment source id.
Show Source
Nested Schema : MinimizationTO v1.0
Type: object
Title: MinimizationTO v1.0
Contains minimization details.
Show Source
Nested Schema : groups
Type: array
Show Source
Nested Schema : MinimizationGroupTO v1.0
Type: object
Title: MinimizationGroupTO v1.0
Contains minimization group details.
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

404 Response

Appears for invalid study ID or invalid study version, or if a randomization list isn't found.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

Back to Top